/**********************************************************************
 *
 * niupepahlistbrowserclass.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: niupepahlistbrowserclass.h 4846 2003-07-01 03:09:15Z None $
 *
 *********************************************************************/


#ifndef NIUPEPAHLISTBROWSERCLASS_H
#define NIUPEPAHLISTBROWSERCLASS_H

#include "hlistbrowserclass.h"

class niupepahlistbrowserclass : public hlistbrowserclass {
protected:

public:
  niupepahlistbrowserclass ();
  virtual ~niupepahlistbrowserclass ();

  int output_section_group (ResultDocInfo_t &section, cgiargsclass &args,
			    const text_t &collection, int colnumber, format_t *formatlistptr, 
			    bool use_table, text_tset &metadata, bool &getParents,
			    recptproto *collectproto, displayclass &disp, 
			    outconvertclass &outconvert, ostream &textout, 
			    ostream &logout);
  
};

#endif

